export default `IMPORTANT! READ CAREFULLY:
THIS IS A LEGAL AGREEMENT. BY CLICKING ON THE "I AGREE" (OR SIMILAR) BUTTON THAT IS PRESENTED TO CUSTOMER AT THE TIME OF CUSTOMER'S PURCHASE, OR BY DOWNLOADING, INSTALLING, COPYING, SAVING ON CUSTOMER'S COMPUTER, OR OTHERWISE USING JETBRAINS SOFTWARE, SUPPORT OR PRODUCTS CUSTOMER BECOMES A PARTY TO THIS AGREEMENT AND CUSTOMER CONSENTS TO BE BOUND BY ALL THE TERMS AND CONDITIONS SET FORTH BELOW.

Note: In case the terms of this Agreement are in conflict with the terms of any agreement individually negotiated and agreed between JetBrains and Customer, the terms of the latter shall prevail.

1. PARTIES
1.1. "JetBrains" or "We" means JetBrains s.r.o., having its principal place of business at Na hrebenech II 1718/10, Prague, 14000, Czech Republic, registered in the Commercial Register maintained by the Municipal Court of Prague, Section C, File 86211, ID. No.: 265 02 275.

1.2. "Customer" or "You" means the sole proprietor or legal entity specified in the Subscription Confirmation. For legal entities, "Customer" includes any entity which controls, is controlled by, or is under common control with Customer. For the purposes of this definition, "control" means (i) the power, directly or indirectly, to direct or manage such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.

2. DEFINITIONS
2.1. "Agreement" means this Toolbox Subscription Agreement.

2.2. "Product" means any generally available JetBrains software product identified by JetBrains as an individual developer tool. For the avoidance of doubt, the Product is not produced to the specifications of Customer nor customized through modification or personalization, and is intended for mass distribution.

2.3. "Client" means a computer device used by a User for running the Product.

2.4. "Product Version" means a release, update, or upgrade of a particular Product that is not identified by JetBrains as being made for the purpose of fixing software bugs.

2.5. "Bug Fix Update" for a particular Product Version means a software update or release that is specifically identified by JetBrains as a bug fix for that Product Version.

2.6. "Fallback Date" means the date that was 12 months prior to the date of expiration of the Toolbox Subscription.

2.7. "Fallback Version" means the most recent Product Version that JetBrains made available for public purchase prior to the Fallback Date, along with any Bug Fix Updates for that Product Version. For the purpose of clarity, Fallback Version does not include any Product updates or upgrades other than Bug Fix Updates that Customer may have used in the period between the Fallback Date and the date of expiration of the Toolbox Subscription.

2.8. "JetBrains Account" or "JBA" means an account at https://account.jetbrains.com created by Customer or a single User, having a unique name and password, and enabling User management and Toolbox Subscription administration and/or access to Products in accordance with a Toolbox Subscription.

2.9. "JetBrains Toolbox" means the set of Products which are subject to this Agreement. For the avoidance of doubt, JetBrains Toolbox does not include JetBrains team productivity software and services such as YouTrack, TeamCity, UpSource or Hub or any other software, services or products which do not fall within the definition of Section 2.2 and which are subject to different terms and conditions.

2.10. "Subscription Confirmation" means an email confirming Customer's rights to access and use Products, including Toolbox Subscription plans, and the number of authorized Users.

2.11. "Toolbox Subscription" specifies the subscription term, Products provided to Customer, subscription fees and payment schedules.

2.12. "User" means any employee, independent contractor or other personnel obtaining access to the Product(s) from Customer.

3. GRANT OF RIGHTS
3.1. The Product is provided on a per-seat basis. If Customer complies with the terms of this Agreement, Customer has the rights stipulated hereunder for each Toolbox Subscription that Customer acquires. Customer's rights acquired in relation to the Product are limited to those necessary to enable Customer and its Users to effectively operate the Product(s). All other rights remain reserved to JetBrains.

3.2. Unless the Toolbox Subscription has expired or this Agreement is terminated in accordance with Section 12, and subject to the terms and conditions specified herein, JetBrains grants Customer a non-exclusive and non-transferable right to use each Product covered by the Toolbox Subscription as stipulated below:

(A) Customer may:

(i) Install and use any version of the Product covered by the Toolbox Subscription on any number of Clients and on any operating system supported by the Product; and

(ii) Make one backup copy of the Product solely for archival/security backup purposes.

(B) Customer may not:

(i) Allow the same Toolbox Subscription to be used concurrently by more than one (1) User;

(ii) Rent, lease, reproduce, modify, adapt, create derivative works of, distribute, sell, or transfer the Product;

(iii) Provide access to the Product, Customer's JetBrains Account or the right to use the Product to a third party;

(iv) Reverse engineer, decompile, disassemble, modify, or translate, or make any attempt to discover the source code of, the Product; or

(v) Remove or obscure any proprietary or other notices contained in the Product.

3.3. Following the expiration of this Agreement, the rights stipulated in Section 3.2(A) shall continue on a perpetual, royalty-free, non-exclusive, and non-transferable basis for the continued use of a Fallback Version of each Product covered by the Toolbox Subscription. The limitations set forth in Sections 3.1 and 3.2(B) of this Agreement apply to the usage of the Fallback Version, as shall Section 12.5. The rights granted in this Section 3.3 are expressly contingent upon Customer not being in breach of this Agreement, including having paid in full the applicable Toolbox Subscription fees for the preceding 12 months or longer without interruption.

3.4. Customer acknowledges that no ownership right is conveyed to Customer under this Agreement, irrespective of the use of terms such as "purchase" or "sale". JetBrains has and retains all rights, title and interest, including all intellectual property rights, in and to the Products and any and all related or underlying technology, and any modifications or derivative works thereof, including without limitation as they may incorporate Feedback (as defined below).

4. PURCHASING THROUGH RESELLERS
This Agreement applies whether Customer purchases a Toolbox Subscription directly from JetBrains or through resellers. If Customer purchases through a reseller, the Toolbox Subscription details shall be as stated in the Subscription Confirmation issued by the reseller to Customer, and the reseller is responsible for the accuracy of any such Subscription Confirmation. Resellers are not authorized to make any promises or commitments on JetBrains' behalf, and Customer understands and agrees that JetBrains is not bound by any obligations to Customer other than as specified in this Agreement.

5. ACCESS TO PRODUCTS
5.1. All deliveries under this Agreement will be electronic. Customer and its Users must have an Internet connection in order to access JBA and receive any deliveries. For the avoidance of doubt, Customer is responsible for downloading and installing the Products, which are made available for download on JetBrains' website at www.jetbrains.com.

5.2. Customer and its Users may use the JBA in accordance with its documentation. Customer and its Users are solely responsible for the accuracy of any information provided via and any action taken through the JBA.

5.3. Customer may enable Users to access Products in one of the following ways:

(A) By sending an invitation from Customer's JBA to a User JBA. Customer acknowledges and agrees that the Product will periodically connect from a User Client to JetBrains' servers via the Internet to confirm that User's right to use the Product;

(B) By generating an offline activation code in Customer's JBA and providing it to the User for offline Product activation. It is Customer's responsibility to generate a new activation code and apply it to the Product registration screen every time changes are made to the right of use assignment or Toolbox Subscription plan, as well as whenever a subscription is renewed;

(C) Via a server application located on Customer's premises that enables access to the Product from Clients that are within Customer's local area network ("Product Server"). The Product Server option may be provided to Customer at the sole discretion of JetBrains.

6. FEES
Customer shall pay its Toolbox Subscription fees in accordance with JetBrains Terms of Purchase or the reseller's terms of purchase, whichever are applicable. The Toolbox Subscription fees shall be paid in full, and any levies, duties and/or taxes imposed by Customer's jurisdiction (including, but not limited to, value added tax, sales tax and withholding tax), shall be borne solely by Customer. Customer may not deduct any amounts from fees payable to JetBrains or the reseller, unless otherwise specified in the applicable terms of purchase.

7. FEEDBACK
Customer has no obligation to provide Us with ideas, suggestions, or proposals ("Feedback"). However, if Customer or Users submit Feedback to us, then Customer grants us a non-exclusive, worldwide, royalty-free license that is sub-licensable and transferable, to make, use, sell, have made, offer to sell, import, reproduce, publicly display, distribute, modify, or publicly perform the Feedback in any manner without any obligation, royalty or restriction based on intellectual property rights or otherwise.

8. THIRD-PARTY SOFTWARE
The Products include code and libraries licensed to Us by third parties, including open source software ("Third-Party Software"). The list of Third-Party Software included in each Product is available in the Product documentation. All Third-Party Software is provided to Customer under the respective terms stipulated in the Product documentation.

9. TOOLBOX SUBSCRIPTION TRIAL
9.1. Subject to the terms of this Agreement, Customer is granted a one-time right to install and use the Product for evaluation purposes without charge for a period of thirty (30) days from the date of the Product installation ("Evaluation Period"). Customer's use of the Product during the Evaluation Period shall be limited to the internal evaluation of the Product for the sole purpose of determining whether the Product meets Customer's requirements and whether Customer desires to continue using the Product.

9.2. Customer may withdraw from using the Product at Customer's sole discretion anytime before expiration of the Evaluation Period. Upon expiration of the Evaluation Period, Customer's right to continue to use the Product will terminate, unless Customer purchases a Toolbox Subscription to the Product. The Product contains a feature that will automatically disable the Product upon the expiration of the Evaluation Period.

10. LIMITED WARRANTY
ALL PRODUCTS ARE PROVIDED TO CUSTOMER ON AN "AS IS" AND "AS AVAILABLE" BASIS WITHOUT WARRANTIES. USE OF THE PRODUCTS IS AT YOUR OWN RISK. JETBRAINS MAKES NO WARRANTY AS TO THEIR USE OR PERFORMANCE. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, JETBRAINS, AND ITS SUPPLIERS (WHICH SHALL INCLUDE THE PROVIDERS OF THE THIRD PARTY SOFTWARE) AND RESELLERS, DISCLAIM ALL WARRANTIES AND CONDITIONS, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE, AND NON-INFRINGEMENT, WITH REGARD TO THE PRODUCTS, AND THE PROVISION OF OR FAILURE TO PROVIDE SUPPORT SERVICES. THIS LIMITED WARRANTY GIVES CUSTOMER SPECIFIC LEGAL RIGHTS. CUSTOMER MAY HAVE OTHER RIGHTS, WHICH VARY FROM STATE/JURISDICTION TO STATE/JURISDICTION. JETBRAINS (AND ITS AFFILIATES, AGENTS, DIRECTORS AND EMPLOYEES) DOES NOT WARRANT THAT THE PRODUCTS ARE ACCURATE, RELIABLE OR CORRECT; THAT THE PRODUCTS WILL MEET YOUR REQUIREMENTS; THAT THE PRODUCTS WILL BE AVAILABLE AT ANY PARTICULAR TIME OR LOCATION, UNINTERRUPTED OR SECURE; THAT ANY DEFECTS OR ERRORS WILL BE CORRECTED; OR THAT THE PRODUCTS ARE FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. ANY CONTENT OR DATA DOWNLOADED OR OTHERWISE OBTAINED THROUGH THE USE OF THE PRODUCTS ARE DOWNLOADED AT YOUR OWN RISK AND YOU WILL BE SOLELY RESPONSIBLE FOR ANY DAMAGE TO YOUR PROPERTY OR LOSS OF DATA THAT RESULTS FROM SUCH DOWNLOAD.

11. DISCLAIMER OF DAMAGES
11.1. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT WILL JETBRAINS (OR ITS AFFILIATES, AGENTS, DIRECTORS, OR EMPLOYEES), OR JETBRAINS' LICENSORS, SUPPLIERS OR RESELLERS BE LIABLE TO CUSTOMER OR ANYONE ELSE FOR: (A) ANY LOSS OF USE, DATA, GOODWILL, OR PROFITS, WHETHER OR NOT FORESEEABLE; (B) ANY LOSS OR DAMAGES IN CONNECTION WITH TERMINATION OR SUSPENSION OF CUSTOMER'S ACCESS TO OUR PRODUCTS IN ACCORDANCE WITH THIS AGREEMENT, OR (C) ANY SPECIAL, INCIDENTAL, INDIRECT, CONSEQUENTIAL, EXEMPLARY OR PUNITIVE DAMAGES WHATSOEVER (EVEN IF WE HAVE BEEN ADVISED OF THE POSSIBILITY OF THESE DAMAGES), INCLUDING THOSE (X) RESULTING FROM LOSS OF USE, DATA, OR PROFITS, WHETHER OR NOT FORESEEABLE, (Y) BASED ON ANY THEORY OF LIABILITY, INCLUDING BREACH OF CONTRACT OR WARRANTY, STRICT LIABILITY, NEGLIGENCE OR OTHER TORTIOUS ACTION, OR (Z) ARISING FROM ANY OTHER CLAIM ARISING OUT OF OR IN CONNECTION WITH CUSTOMER'S USE OF OR ACCESS TO THE PRODUCTS OR SUPPORT. THE FOREGOING LIMITATION OF LIABILITY SHALL APPLY TO THE FULLEST EXTENT PERMITTED BY LAW IN THE APPLICABLE JURISDICTION.

11.2. OUR TOTAL LIABILITY IN ANY MATTER ARISING OUT OF OR IN RELATION TO THIS AGREEMENT IS LIMITED TO ONE HUNDRED (100) US DOLLARS OR THE AGGREGATE AMOUNT PAID OR PAYABLE BY THE CUSTOMER FOR PRODUCTS DURING THE THREE-MONTH PERIOD PRECEDING THE EVENT GIVING RISE TO THE LIABILITY, WHICHEVER IS GREATER. THIS LIMITATION WILL APPLY EVEN IF WE HAVE BEEN ADVISED OF THE POSSIBILITY OF LIABILITY EXCEEDING SUCH AMOUNT AND NOTWITHSTANDING ANY FAILURE OF THE ESSENTIAL PURPOSE OF ANY LIMITED REMEDY.

12. TERM AND TERMINATION
12.1. The term of this Agreement will commence upon acceptance of this Agreement by Customer as set forth in the preamble above, and will continue for each Product through the end of the applicable subscription period specified in the respective Subscription Confirmation. This Agreement will automatically renew with respect to each Product for a successive Toolbox Subscription term, unless terminated as set forth herein.

12.2. Customer may terminate this Agreement at any time by cancelling its Product subscription via Customer's JetBrains Account. If such termination occurs during a then-current subscription period, this Agreement will continue to be effective until the end of that subscription period. Such termination does not relieve Customer of the obligation to pay any outstanding subscription fees owed to JetBrains, and no credits or refunds will be issued to Customer for prepaid subscription fees (except as specified in the JetBrains Terms of Purchase, if applicable).

12.3. JetBrains may terminate this agreement if:

(A) Customer has materially breached this Agreement and fails to cure such breach within thirty (30) days of written notice thereof;

(B) Customer fails to make the timely payment of subscription fees in accordance with Section 6 of this Agreement;

(C) JetBrains is required to do so by law (for example, where the provision of the JetBrains Toolbox to Customer is, or becomes, unlawful); or

(D) JetBrains elects to discontinue providing the JetBrains Toolbox, in whole or in part.

12.4. JetBrains will make reasonable efforts to notify Customer via email as follows:

(A) Thirty (30) days prior to termination of the Agreement in the events specified in Sections 12.3(C) and 12.3(D) above, and in such events Customer will be entitled to a refund of the unused portion of prepaid subscription fees, if applicable;

(B) Three (3) days prior to termination of the Agreement in the event specified in Section 12.3(B), and in such event Customer will not be entitled to any refund of the unused portion of prepaid subscription fees.

12.5. Survival. Upon the expiration or termination of this Agreement by Customer under Section 12.2, and if Customer elects to use the Fallback Version of the Product subject to Section 3.3 of this Agreement, Sections 3.3, 7, 8, 10 and 11 of this Agreement will also survive with respect to said Fallback Version.

13. TEMPORARY SUSPENSION FOR NON-PAYMENT
13.1. JetBrains reserves the right to suspend Customer's access to JetBrains' Products if Customer fails to pay subscription fees on time in accordance with Section 6 of this Agreement.

13.2. If JetBrains suspends Customer's access to JetBrains' Products for non-payment according to Section 13.1., Customer must pay all past due amounts in order to restore its access to JetBrains' Products.

13.3. Customer hereby agrees that JetBrains is entitled to charge Customer for the time period during which Customer has access to JetBrains Products until Customer or JetBrains terminates or suspends Customer's subscription in accordance with this Agreement.

14. EXPORT REGULATIONS
Customer shall comply with all applicable laws and regulations with regards to economic sanctions, export controls, import regulations, and trade embargoes (all herein referred to as "Sanctions"), including those of the European Union and United States (specifically the Export Administration Regulations (EAR)). Customer declares that it is not a person targeted by Sanctions nor is it otherwise owned or controlled by or acting on behalf of any person targeted by Sanctions. Further, Customer warrants that it will not download or otherwise export or re-export the JetBrains Toolbox or any related technical data directly or indirectly to any person targeted by Sanctions or download or otherwise use the JetBrains Toolbox for any end-use prohibited or restricted by Sanctions.

15. MARKETING
Customer agrees that JetBrains may identify it as a customer of JetBrains and may refer to it by name, trade name and trademark, if applicable. JetBrains may also briefly describe Customer's business in JetBrains marketing materials, on the JetBrains website and/or in public or legal documents. Customer hereby grants JetBrains a worldwide, non-exclusive and royalty-free license to use Customer's name and any of Customer's trade names and trademarks solely pursuant to this marketing section.

16. GENERAL
16.1. Entire Agreement. This Agreement, including the Third-Party Software license terms, constitutes the entire agreement between the parties concerning its subject matter and supersedes any prior agreements between Customer and JetBrains regarding Customer's use of any Products in the JetBrains Toolbox. No purchase order, other ordering document or any handwritten or typewritten text which purports to modify or supplement the printed text of this Agreement or any schedule will add to or vary the terms of this Agreement unless signed by both Customer and JetBrains.

16.2. Reservation of Rights. JetBrains reserves the right at any time to cease the support of the JetBrains Toolbox and to alter prices, features, specifications, capabilities, functions, terms of use, release dates, general availability or other characteristics of the JetBrains Toolbox.

16.3. Changes to this Agreement. We may update or modify this Agreement from time to time, including any referenced policies and other documents. If a revision meaningfully reduces Customer's rights, we will use reasonable efforts to notify Customer (by, for example, sending an email to the billing or technical contact provided by Customer to us, posting on our blog, through Customer's JetBrains Account, or via the Product itself). If we modify this Agreement, the modified version of the Agreement will be effective from the start of the next Toolbox Subscription term. In this case, if Customer objects to the updated Agreement terms, as Customer's exclusive remedy, Customer may cancel the Toolbox Subscription. Customer may be required to click through the updated Agreement to show its acceptance. For the avoidance of doubt, each Subscription Confirmation is subject to the version of the Agreement in effect on the Subscription Confirmation date.

16.4. Opportunity to Review. Customer hereby declares that Customer has had sufficient opportunity to review this Agreement, understand the content of all of its clauses, negotiate its terms, and seek independent professional legal advice in that respect before entering into it. Consequently, any statutory "form contract" ("adhesion contract") regulations shall not be applicable to this Agreement.

16.5. Severability. If a particular term of this Agreement is not enforceable, the unenforceability of that term will not affect any other terms of this Agreement.

16.6. Headings. Headings and titles are for convenience only and do not affect the interpretation of this Agreement.

16.7. No Waiver. Our failure to enforce or exercise any part of this Agreement is not a waiver of that section.

16.8. Notice. JetBrains may deliver any notice to Customer via electronic mail to an email address provided by Customer, its JetBrains Account, registered mail, personal delivery or renowned express courier (such as DHL, FedEx or UPS). Any such notice will be deemed to be effective (i) on the day the notice is sent to Customer via email, (ii) upon being uploaded to Customer's JetBrains Account (irrespective of when Customer actually receives it), (iii) upon personal delivery, (iv) one (1) day after deposit with an express courier, (v) or five (5) days after deposit in the mail, whichever occurs first.

16.9. Governing Law. This Agreement will be governed by the laws of the Czech Republic, without reference to conflict of laws principles. Customer agrees that any litigation relating to this Agreement may only be brought in, and will be subject to the jurisdiction of, any competent court of the Czech Republic. The parties agree that the United Nations Convention on Contracts for the International Sale of Goods does not apply to this Agreement.

For exceptions or modifications to this Agreement, please contact JetBrains at:
Address: Na hrebenech II 1718/10, Prague, 14000, Czech Republic
Fax: +420 241 722 540
E-mail: sales@jetbrains.com
`;
